JacocoCoverageVerification (Gradle API 7.6.3)

Package org.gradle.testing.jacoco.tasks

## Class JacocoCoverageVerification

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.testing.jacoco.tasks.JacocoBase
      - - org.gradle.testing.jacoco.tasks.JacocoReportBase
        - - org.gradle.testing.jacoco.tasks.JacocoCoverageVerification

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @CacheableTask
      public class JacocoCoverageVerification
      extends JacocoReportBase

  Task for verifying code coverage metrics. Fails the task if violations are detected based on specified rules.

  Requires JaCoCo version >= 0.6.3.

  Since:
    3.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JacocoCoverageVerification()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `check()` |
    `protected java.io.File` | `getDummyOutputFile()` | For internal use only.
    `JacocoViolationRulesContainer` | `getViolationRules()` | Returns the violation rules set for this task.
    `JacocoViolationRulesContainer` | `violationRules​(Action<? super JacocoViolationRulesContainer> configureAction)` | Configures the violation rules for this task.

    - ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoReportBase

      `additionalClassDirs, additionalClassDirs, additionalSourceDirs, additionalSourceDirs, executionData, executionData, executionData, getAdditionalClassDirs, getAdditionalSourceDirs, getAllClassDirs, getAllSourceDirs, getAntBuilder, getCallbackActionDecorator, getClassDirectories, getExecutionData, getInstantiator, getSourceDirectories, sourceSets`

    - ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

      `getJacocoClasspath, setJacocoClasspath`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### JacocoCoverageVerification

          public JacocoCoverageVerification()

  - ### Method Detail

    - #### getViolationRules

          public JacocoViolationRulesContainer getViolationRules()

      Returns the violation rules set for this task.
      Returns:
        Violation rules container

    - #### getDummyOutputFile

          @OutputFile
          protected java.io.File getDummyOutputFile()

      For internal use only. This property exists, because only tasks with outputs can be up-to-date and cached.

    - #### violationRules

          public JacocoViolationRulesContainer violationRules​(Action<? super JacocoViolationRulesContainer> configureAction)

      Configures the violation rules for this task.

    - #### check

          public void check()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`